function trials
% =========================================
% function Cat_PreTest_trials
% provide main parameters for Cat_PreTest experiment
% assumes 60 Hz refresh rate
%
%% Code Authors:
%  Thiago Motta Sampaio (ACESIN/LAPEX/INSERM/Neurospin)
% =========================================
%%
%--------------------------------------------------------------------------
% - PROMPT USER FOR DATA FILE NAME -
%--------------------------------------------------------------------------
dataFile='tmp';
promptUser=true;
while promptUser
    prompt=inputdlg('ID','Output File',1,{'tmp'});
    if isempty(prompt);
        disp(['Cancel experiment ...']);
        return;
    else
        initials=prompt{1};
        promptUser = false;
    end
end
%%
fRate = FrameRate([0]);
%
dur = 200;    % ms
dur_f = fix(dur*fRate/1000); % frames
ITI_ms = [500,1000];

%% TRIALS (CORRECTED)
vlist = {LIST YOUR STIMULI HERE};
category1 = {LIST THE PARAMETERS OF YOUR CATEGORY 1 HERE};
category2 = {'LIST THE PARAMETERS OF YOUR CATEGORY 2 HERE'};

%%
nV      = length(vlist);          % total # of verbs
nB      = 2;                      % total # of blocks
ITI     = fix(ITI_ms*fRate/1000); % range of ISI and ITI

    for k = 1:nB
        tmpmat(:,2) = Shuffle(Shuffle(1:nV)'); % COL 2 = word index in vlist
        tmpmat(:,1) = Shuffle(Shuffle(1:nV)'); % COL 1 = trial number
        tmpmat= sortrows(tmpmat);
        expMat{k} = tmpmat;
        clear tmpmat
    end
save([initials, _Cat_PreTest_params_A'])
end