function SPR_SortTrials
% =========================================================================
%                         function (SPR) SortTrials
%               Experiment = Self-Paced/Kinectic Reading
%                     Sort trials for SPR experiment
%                =========================================
%                      Assumes 60 Hz refresh rate
%                =========================================
%% Sort Trials for SPR Experiment
%
%% Code Authors:
%  Thiago Motta Sampaio (ACESIN/LAPEX/INSERM/Neurospin)
%==========================================================================
%%
    %----------------------------------------------------------------------
    %               - PROMPT USER FOR DATA FILE NAME -
    %----------------------------------------------------------------------
    
dataFile='tmp';
promptUser=true;
while promptUser
    prompt=inputdlg('ID','Output File',1,{'tmp'});
    if isempty(prompt);
        disp(['Cancel experiment ...']);
        return;
    else
        initials=prompt{1};
        promptUser = false;
    end
end
%--------------------------------------------------------------------------
fRate = FrameRate([0]);
%
dur = 200;    % ms                 
dur_f = fix(dur*fRate/1000); % frames
ITI_ms = [500,1000];

%% STIMULI
   % FORM
   % 'segment1','segment2','segment3','segment4','segment5','segment6,segment7,QUESTION;
   % VERSION = Latin Square Version of the Test
   
%%          %%%%%%%%%%%%%%% 1st VERSION %%%%%%%%%%%%%%%

lista1=  {LIST YOUR STIMULI HERE};           
% END OF 1st VERSION
      
%%          %%%%%%%%%%%%%%% 2nd VERSION %%%%%%%%%%%%%%%
  
lista2=  {LIST YOUR STIMULI HERE};           
% END OF 2nd VERSION

%%          %%%%%%%%%%%%%%% 3rd VERSION %%%%%%%%%%%%%%%
  
lista3=  {LIST YOUR STIMULI HERE};           
% END OF 3rd VERSION

%%          %%%%%%%%%%%%%%% 4th VERSION %%%%%%%%%%%%%%%
  
lista4=  {LIST YOUR STIMULI HERE};           
% END OF 4th VERSION      
                        
                %%%%%% End of Experimental Sentences %%%%%%%
                
%% BUILD expMat
nS      = length(lista1);         % total # of sentences
nV      = 4;                      % total # of versions
ITI     = fix(ITI_ms*fRate/1000); % range of ISI and ITI 
% load conditions, open c           % file containing condition map 

    for k = 1:nV
        tmpmat(:,2) = Shuffle(Shuffle(1:nS)'); % COL 2 = sentence index in lista
        tmpmat(:,1) = Shuffle(Shuffle(1:nS)'); % COL 1 = trial number
        tmpmat(:,3) = 1,1;                     % COL 3 = Word(s)1
        tmpmat(:,4) = 2,1;                     % COL 4 = Word(s)2
        tmpmat(:,5) = 3,1;                     % COL 5 = Word(s)3
        tmpmat(:,6) = 4,1;                     % COL 6 = Word(s)4
        tmpmat(:,7) = 5,1;                     % COL 7 = Word(s)5
        tmpmat(:,8) = 6,1;                     % COL 8 = Word(s)6
        tmpmat(:,9) = 7,1;                     % COL 9 = Word(s)7
        tmpmat(:,10) = 8,1;                    % COL 10 = TASK
        tmpmat= sortrows(tmpmat);
        expMat = tmpmat;
        clear tmpmat
        clear k 
    end
  
% INSTR for each version
  for i = 1:4

% INSTR 1 = which list each version is going to use
    if i == 1
        lista = lista1
%        expMat(:,3) = c(:,1) % Condition map for V1
    elseif i == 2
        lista = lista2
%        expMat(:,3) = c(:,2) % Condition map for V2
    elseif i == 3
        lista = lista3
%        expMat(:,3) = c(:,3) % Condition map for V3
    elseif i == 4
        lista = lista4
%        expMat(:,3) = c(:,4) % Condition map for V4
    end
  

% INSTR 2 = save parameters for each version      
    if i == 1
        save([initials, '_SPR_params_A'])
    elseif i == 2
        save([initials, '_SPR_params_B'])
    elseif i == 3
        save([initials, '_SPR_params_C'])
    elseif i == 4
        save([initials, '_SPR_params_D'])
    end
end